apiVersion: v1
kind: List
items:
- apiVersion: image.openshift.io/v1
  kind: ImageStream
  metadata:
    name: filterstation
  spec:
    lookupPolicy:
      local: true
    tags:
    - name: release
      from:
        kind: DockerImage
        name: gitlab-registry.cern.ch/ntof/daq/expert/filterstation:release
      importPolicy:
        scheduled: true
      referencePolicy:
        type: Source
- apiVersion: v1
  kind: ConfigMap
  metadata:
    name: filterstation-config
  data:
    config.json: |
      {
        "basePath": "/expert/filterstation",
        "beta": false,
        "auth": {
          "clientID": "ntof_expert_interfaces",
          "clientSecret": "xxx",
          "callbackURL": "https://ntof-daq.web.cern.ch/expert/filterstation/auth/callback",
          "logoutURL": "https://ntof-daq.web.cern.ch/expert/filterstation"
        }
      }
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      image.openshift.io/triggers: |-
        [{
          "from": {"kind":"ImageStreamTag","name":"filterstation:release"},
          "fieldPath":"spec.template.spec.containers[0].image"
        }]
    labels:
      app: filterstation
    name: filterstation
  spec:
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app: filterstation
    template:
      metadata:
        labels:
          app: filterstation
      spec:
        containers:
          - name: filterstation
            image: filterstation:release
            imagePullPolicy: Always
            env:
              - name: DEBUG
                value: http
            livenessProbe:
              failureThreshold: 3
              httpGet:
                path: /expert/filterstation/dist/img/favicon.svg
                port: 8080
                scheme: HTTP
              initialDelaySeconds: 30
              periodSeconds: 10
              successThreshold: 1
              timeoutSeconds: 30
            name: filterstation
            ports:
              - containerPort: 8080
                protocol: TCP
            volumeMounts:
              - mountPath: /etc/app
                name: config
            resources:
              requests: { memory: 128Mi, cpu: 10m }
              limits: { memory: 256Mi, cpu: '1' }
        volumes:
          - configMap:
              defaultMode: 420
              name: filterstation-config
            name: config
- apiVersion: v1
  kind: Service
  metadata:
    labels:
      app: filterstation
    name: filterstation
  spec:
    ports:
    - name: 8080-tcp
      port: 8080
      protocol: TCP
      targetPort: 8080
    selector:
      app: filterstation
    sessionAffinity: None
    type: ClusterIP
- apiVersion: route.openshift.io/v1
  kind: Route
  metadata:
    labels:
      app: filterstation
    name: filterstation
  spec:
    host: ntof-daq.web.cern.ch
    path: /expert/filterstation
    port:
      targetPort: 8080-tcp
    tls:
      insecureEdgeTerminationPolicy: Redirect
      termination: edge
    to:
      kind: Service
      name: filterstation
      weight: 100
    wildcardPolicy: None

